#include <stdio.h>

void makeGreedyChange(int m, int plan[][2], int size) {
    for (int i = 0; i < size; i++) {
        plan[i][1] += m / plan[i][0];  // 计算需要的面值数量
        m = m % plan[i][0];            // 更新剩余的钱数
    }
} 
int main() {
    int money = 90;
    // 用一个二维数组 plan[6][2] 来存储每一种面值和其所对应的具体数目
    int plan[6][2] = { {50, 0}, {20, 0}, {10, 0}, {5, 0}, {2, 0}, {1, 0} };
    
    makeGreedyChange(money, plan, 6);
    
    for (int i = 0; i < 6; i++) {
        printf("%d元: %d张\n", plan[i][0], plan[i][1]);
    }

    return 0;
}
